VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
MouseDownEvent Struct Reference
Version 4.11

MouseDownEvent. More...

Inheritance diagram for MouseDownEvent:

## Public Member Functions
| MouseDownEvent ()
| MouseDownEvent (const CPoint &pos, MouseEventButtonState buttons)
Public Member Functions inherited from MouseDownUpMoveEvent
void | ignoreFollowUpMoveAndUpEvents (bool state)
bool | ignoreFollowUpMoveAndUpEvents ()

## Additional Inherited Members
Public Attributes inherited from MouseDownUpMoveEvent
uint32_t | clickCount {0}
Static Public Attributes inherited from MouseDownUpMoveEvent
static constexpr uint32_t | IgnoreFollowUpEvents = EventConsumeState::Last
static constexpr uint32_t | IgnoreFollowUpEventsMask = 1 << IgnoreFollowUpEvents
Protected Member Functions inherited from MouseDownUpMoveEvent
| MouseDownUpMoveEvent ()=default
| MouseDownUpMoveEvent (const CPoint &pos, MouseEventButtonState buttons, Modifiers mods={})

## Detailed Description

MouseDownEvent.

## Constructor & Destructor Documentation

MouseDownEvent | ( |  | ) |
| inline

MouseDownEvent | ( | const CPoint & | pos,
|  | MouseEventButtonState | buttons
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- events.h